# Uppercase all PGA related keyword strings
module Jekyll
  module UpcaseKeyword
    def upcase_keyword(words)
      keywords = @context.registers[:site].data['uppercase-keywords']
      raise 'Missing `uppercase-keywords.yml` in `_data` folder' unless keywords
      upcased = words
        .split(' ')
        .map { |word| 
          if keywords.include?(word.downcase)
            word = word.upcase
          end
          word
        }
      return upcased.join(' ')
    end
  end
end

Liquid::Template.register_filter(Jekyll::UpcaseKeyword)
